Package org.apache.maven.shared.model.fileset.io.xpp3

# Class FileSetXpp3Reader

java.lang.Object
org.apache.maven.shared.model.fileset.io.xpp3.FileSetXpp3Reader

public class FileSetXpp3Reader extends Object
Class FileSetXpp3Reader.

Version:
  $Revision$ $Date$

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`FileSetXpp3Reader.ContentTransformer`

## Field Summary

Fields
Modifier and Type
Field
Description
`final FileSetXpp3Reader.ContentTransformer`
`contentTransformer`
Field contentTransformer.

## Constructor Summary

Constructors
Constructor
Description
`FileSetXpp3Reader()`
`FileSetXpp3Reader(FileSetXpp3Reader.ContentTransformer contentTransformer)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAddDefaultEntities()`
Returns the state of the "add default entities" flag.
`FileSet`
`read(InputStream in)`
Method read.
`FileSet`
`read(InputStream in, boolean strict)`
Method read.
`FileSet`
`read(Reader reader)`
`FileSet`
`read(Reader reader, boolean strict)`
`void`
`setAddDefaultEntities(boolean addDefaultEntities)`
Sets the state of the "add default entities" flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### contentTransformer

public final FileSetXpp3Reader.ContentTransformer contentTransformer
Field contentTransformer.

## Constructor Details

### FileSetXpp3Reader

public FileSetXpp3Reader()

### FileSetXpp3Reader

public FileSetXpp3Reader(FileSetXpp3Reader.ContentTransformer contentTransformer)

## Method Details

### getAddDefaultEntities

public boolean getAddDefaultEntities()
Returns the state of the "add default entities" flag.

Returns:
  boolean

### read

public FileSet read(Reader reader, boolean strict) throws IOException, org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
  `strict` -
Returns:
  FileSet
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  - `ReaderFactory.newXmlReader(java.io.InputStream)`

### read

public FileSet read(Reader reader) throws IOException, org.codehaus.plexus.util.xml.pull.XmlPullParserException

Parameters:
  `reader` -
Returns:
  FileSet
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`
See Also:
  - `ReaderFactory.newXmlReader(java.io.InputStream)`

### read

public FileSet read(InputStream in, boolean strict) throws IOException, org.codehaus.plexus.util.xml.pull.XmlPullParserException
Method read.

Parameters:
  `in` -
  `strict` -
Returns:
  FileSet
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

### read

public FileSet read(InputStream in) throws IOException, org.codehaus.plexus.util.xml.pull.XmlPullParserException
Method read.

Parameters:
  `in` -
Returns:
  FileSet
Throws:
  `IOException`
  `org.codehaus.plexus.util.xml.pull.XmlPullParserException`

### setAddDefaultEntities

public void setAddDefaultEntities(boolean addDefaultEntities)
Sets the state of the "add default entities" flag.

Parameters:
  `addDefaultEntities` -